Summary:	GNOME Power Manager
Summary(pl.UTF-8):	Zarządca energii dla GNOME
Name:		gnome-power-manager
Version:	43.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-power-manager/43/%{name}-%{version}.tar.xz
# Source0-md5:	c7e33249b59c6082312909f65739912e
URL:		https://gitlab.gnome.org/GNOME/gnome-power-manager
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46.0
BuildRequires:	gtk+3-devel >= 3.3.8
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.99.8
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.46.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	cairo >= 1.0.0
Requires:	glib2 >= 1:2.46.0
Requires:	gnome-session >= 3.0.0
Requires:	gtk+3 >= 3.3.8
Requires:	hicolor-icon-theme
Requires:	upower >= 0.99.8
Obsoletes:	gnome-power < 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses of GNOME Power Manager infrastructure
- A dialogue that warns the user when on UPS power, that automatically
  begins a kind shutdown when the power gets critically low.
- An icon that allows a user to dim the LCD screen with a slider, and
  does do automatically when going from mains to battery power on a
  laptop.
- An icon, that when an additional battery is inserted, updates its
  display to show two batteries and recalculates how much time
  remaining. Would work for wireless mouse and keyboards, UPS's and
  PDA's.
- A daemon that does a clean shutdown when the battery is critically
  low or does a soft-suspend when you close the lid on your laptop (or
  press the "suspend" button on your PC).
- Tell Totem to use a codec that does low quality processing to
  conserve battery power.
- Postpone indexing of databases (e.g. up2date) or other heavy
  operations until on mains power.
- Presentation programs / movie players don't want the screensaver
  starting or screen blanking.

%description -l pl.UTF-8
Zastosowania infrastruktury zarządcy energii GNOME:
- okno dialogowe ostrzegające użytkownika o zasilaniu z UPS-a,
  automatycznie rozpoczynające uprzejme zamykanie systemu, kiedy
  zasilanie jest w stanie krytycznym
- ikona umożliwiająca użytkownikowi przyciemnienie ekranu LCD przy
  użyciu suwaka i robiąca to automatycznie przy przełączaniu z głównego
  źródła zasilania na baterie w laptopie
- ikona, która po dołożeniu dodatkowej baterii uaktualnia wskaźnik,
  aby pokazywał dwie baterie i przelicza ilość pozostałego czasu;
  powinna działać dla bezprzewodowych myszy i klawiatur, UPS-ów i PDA
- demon wykonujący czyste zamknięcie systemu, kiedy bateria jest w
  stanie krytycznym i wykonujący zamrożenie systemu (soft-suspend) przy
  zamykaniu pokrywy laptopa (albo naciśnięciu przycisku "suspend")
- informowanie Totema, aby używał kodeka o niższej jakości w celu
  zaoszczędzenia energii baterii
- wstrzymywanie indeksowania baz danych (np. up2date) i innych
  ciężkich operacji do czasu podłączenia głównego źródła zasilania
- zapobieganie uruchomieniu wygaszacza ekranu i samemu wygaszaniu
  ekranu podczas działania programów prezentacyjnych i odtwarzaczy
  filmów

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COMMITMENT MAINTAINERS README.md
%attr(755,root,root) %{_bindir}/gnome-power-statistics
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_datadir}/metainfo/org.gnome.PowerStats.appdata.xml
%{_desktopdir}/org.gnome.PowerStats.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.PowerStats.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.PowerStats.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.PowerStats-symbolic.svg
%{_mandir}/man1/gnome-power-statistics.1*
%changelog
* Sun May 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-power-manager.git;a=log;h=master

* Sun May 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 7e627c0
- updated to 43.0

* Sat Oct 19 2019 Jakub Bogusz <qboosh@pld-linux.org> ed8e994
- updated to 3.32.0

* Thu Jan 24 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> b5fd893
- Updated to 3.30.0

* Fri Mar 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e5338f4
- Update to 3.24.0

* Fri Jan 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e8e857d
- Update to 3.22.2

* Wed Oct 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> fed0351
- Update to 3.22.1

* Sat Apr 02 2016 Łukasz Kieś <kiesiu@pld-linux.org> 9f9ba55
- updated to 3.20.0

* Sun Sep 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 2e0ce4d
- updated to 3.18.0

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 48ee73d
- Update to 3.16.1

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 5f37104
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 90d4b30
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> c8118c7
- updated to 3.14.1

* Sat Oct 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> a4dd0ca
- updated to 3.14.0

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9943302
- upower rebuild
- release 2 (by relup.sh)

* Sun May 18 2014 Marcin Banasiak <marcin.banasiak@gmail.com> eb8947b
- Update to 3.12.2

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9b5773f
- Update to 3.12.0

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4cb743f
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 79fbdf5
- Update to 3.10.0

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> bc4c194
- updated to 3.8.2

* Wed Apr 17 2013 Elan Ruusamäe <glen@delfi.ee> e62a95c
- up to 3.8.1

